Index: games/wesnoth/Makefile
===================================================================
RCS file: /a/.csup/ports/games/wesnoth/Makefile,v
retrieving revision 1.94
diff -u -p -r1.94 Makefile
--- games/wesnoth/Makefile	18 Feb 2012 10:18:21 -0000	1.94
+++ games/wesnoth/Makefile	8 Apr 2012 21:11:19 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	wesnoth
-PORTVERSION=	1.8.6
-PORTREVISION=	1
+PORTVERSION=	1.10.2
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-${PORTVERSION:R}/${PORTNAME}-${PORTVERSION} \
 		http://files.wesnoth.org/
@@ -15,6 +14,7 @@ MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 MAINTAINER=	philip@FreeBSD.org
 COMMENT=	A fantasy turn-based strategy game
 
+EXTRACT_DEPENDS=${WRKSRC}/fonts/Junicode-Regular.ttf:${PORTSDIR}/x11-fonts/junicode:extract
 LIB_DEPENDS=	boost_thread.4:${PORTSDIR}/devel/boost-libs
 
 LICENSE=	GPLv2 GPLv3
@@ -25,180 +25,150 @@ CONFLICTS=	wesnoth-devel-[0-9]*
 
 USE_SDL=	image mixer net ttf
 USE_GNOME=	pango
-USE_GMAKE=	yes
 MAKE_JOBS_SAFE=	yes
 USE_BZIP2=	yes
-USE_LUA=	5.1
-USE_AUTOTOOLS=	aclocal autoheader automake autoconf
-ACLOCAL_ARGS=	-Im4
-AUTOMAKE_ARGS=	--add-missing --copy
-CONFIGURE_ENV=	PKG_CONFIG="${PKG_CONFIG}"
-CONFIGURE_ARGS=	--localstatedir=/var \
-		--with-boost=${LOCALBASE} \
-		--with-icondir=${PREFIX}/share/pixmaps \
-		--with-libiconv-prefix=${LOCALBASE} \
-		--with-libintl-prefix=${LOCALBASE} \
-		--with-localedir=${PREFIX}/share/locale
-PKG_CONFIG?=	${LOCALBASE}/bin/pkg-config
-
-MANLANG=	"" cs de en_GB es et fi fr gl hu id it ja lt pl pt_BR sk \
-		sr sr@ijekavian sr@ijekavianlatin sr@latin tr zh_CN zh_TW
+USE_CMAKE=	yes
+CMAKE_ARGS=	-DMANDIR="man"
 
 MAN6=		wesnoth.6
 
 PORTDOCS=	*
 PORTDATA=	*
 
-OPTIONS=	BWMON	 "Enable bandwidth monitoring for server" Off \
+OPTIONS=	ANA	 "Enable Asynchronous Network API (WIP)" Off \
 		CAMPAIGN "Enable campaign server"	On \
-		EDITOR	 "Enable map editor"		On \
 		FRIBIDI	 "Enable bidirectional support"	On \
 		LOWMEM	 "Reduce memory usage (disables animations)" Off \
 		NOTIFY	 "Enable desktop notifications"	On \
+		OPENMP	 "Enable OpenMP support"	Off \
 		POOLALLOC "Use wesnoth own memory allocator" Off \
-		PYTHON	 "Enable python developer tools" On \
+		PYTHON	 "Enable python developer tools" Off \
 		RAWSOCKETS "Use raw receiving sockets in multiplayer" Off \
 		SERVER	 "Enable server"		On \
 		TESTS	 "Enable unit tests"		Off \
-		TINYGUI	 "Enable tiny gui (down to 320x200)" Off \
 		TOOLS	 "Enable extra tools for artists and translators" On
 
-.include <bsd.port.pre.mk>
-
-.if defined(WITH_DEBUG)
-CONFIGURE_ARGS+=	--enable-debug
-.endif
-
-.if defined(WITH_PROFILE)
-CONFIGURE_ARGS+=	--enable-profile
-.endif
+.include <bsd.port.options.mk>
 
 # XXX: breaks compilation because of -Werror
 .if !defined(WITH_STRICT)
-CONFIGURE_ARGS+=	--disable-strict-compilation
+CMAKE_ARGS+=	-DENABLE_STRICT_COMPILATION=off
 .endif
 
-.if defined(WITHOUT_BWMON)
-CONFIGURE_ARGS+=	--disable-bandwidth-monitor
+.if defined(WITHOUT_ANA)
+CMAKE_ARGS+=	-DUSE_ANA_NETWORK=off
 .else
-CONFIGURE_ARGS+=	--enable-bandwidth-monitor
+CMAKE_ARGS+=	-DUSE_ANA_NETWORK=on
 .endif
 
 .if defined(WITHOUT_CAMPAIGN)
-CONFIGURE_ARGS+=	--disable-campaign-server
-PLIST_SUB+=		CAMPAIGN="@comment "
-.else
-CONFIGURE_ARGS+=	--enable-campaign-server
-PLIST_SUB+=		CAMPAIGN=""
-.endif
-
-.if defined(WITHOUT_EDITOR)
-CONFIGURE_ARGS+=	--disable-editor
-PLIST_SUB+=		EDITOR="@comment "
+CMAKE_ARGS+=	-DENABLE_CAMPAIGN_SERVER=off
+PLIST_SUB+=	CAMPAIGN="@comment "
 .else
-CONFIGURE_ARGS+=	--enable-editor
-PLIST_SUB+=		EDITOR=""
+CMAKE_ARGS+=	-DENABLE_CAMPAIGN_SERVER=on
+PLIST_SUB+=	CAMPAIGN=""
 .endif
 
 .if defined(WITHOUT_FRIBIDI)
-CONFIGURE_ARGS+=	--without-fribidi
+CMAKE_ARGS+=	-DENABLE_FRIBIDI=off
 .else
-CONFIGURE_ARGS+=	--with-fribidi
-LIB_DEPENDS+=		fribidi.3:${PORTSDIR}/converters/fribidi
+CMAKE_ARGS+=	-DENABLE_FRIBIDI=on
+LIB_DEPENDS+=	fribidi.3:${PORTSDIR}/converters/fribidi
 .endif
 
 .if defined(WITHOUT_LOWMEM)
-CONFIGURE_ARGS+=	--disable-lowmem
+CMAKE_ARGS+=	-DENABLE_LOW_MEM=off
 .else
-CONFIGURE_ARGS+=	--enable-lowmem
+CMAKE_ARGS+=	-DENABLE_LOW_MEM=off
 .endif
 
 .if defined(WITHOUT_NOTIFY)
-CONFIGURE_ARGS+=	--disable-notifications
+CMAKE_ARGS+=	-DENABLE_NOTIFICATIONS=off
 .else
-CONFIGURE_ARGS+=	--enable-notifications --enable-dbus
-LIB_DEPENDS+=		dbus-1.3:${PORTSDIR}/devel/dbus
+CMAKE_ARGS+=	-DENABLE_NOTIFICATIONS=on
+LIB_DEPENDS+=	dbus-1.3:${PORTSDIR}/devel/dbus
 .endif
 
 .if defined(WITHOUT_NLS)
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=		NLS="@comment "
+CMAKE_ARGS+=	-DENABLE_NLS=off
+PLIST_SUB+=	NLS="@comment "
 .else
-USE_GETTEXT=		yes
-CONFIGURE_ARGS+=	--enable-nls
-PLIST_SUB+=		NLS=""
+CMAKE_ARGS+=	-DENABLE_NLS=on -DLOCALEDIR=${PREFIX}/share/locale
+USE_GETTEXT=	yes
+MANLANG=	"" cs de en_GB es et fi fr gl hu id it lt pl ru sk \
+		sr sr@ijekavian sr@ijekavianlatin sr@latin vi zh_CN zh_TW
+_MANPAGES+=	${PREFIX}/man/ja/man6/wesnothd.6 \
+		${PREFIX}/man/pt_BR/man6/wesnothd.6 \
+		${PREFIX}/man/tr/man6/wesnothd.6
+PLIST_SUB+=	NLS=""
+.endif
+
+.if defined(WITHOUT_OPENMP)
+CMAKE_ARGS+=	-DENABLE_OMP=off
+.else
+CMAKE_ARGS+=	-DENABLE_OMP=on
 .endif
 
 .if defined(WITHOUT_POOLALLOC)
-CONFIGURE_ARGS+=	--disable-pool-alloc
+CMAKE_ARGS+=	-DENABLE_POOL_ALLOC=off
 .else
-CONFIGURE_ARGS+=	--enable-pool-alloc
+CMAKE_ARGS+=	-DENABLE_POOL_ALLOC=on
 .endif
 
 .if defined(WITHOUT_PYTHON)
-CONFIGURE_ARGS+=	--disable-python-install
-PLIST_SUB+=		PYTHON="@comment "
+PLIST_SUB+=	PYTHON="@comment "
 .else
-USE_PYTHON=		yes
-CONFIGURE_ENV+=		PYTHON_PREFIX=${PREFIX} \
-			PYTHON_VERSION=${PYTHON_VERSION:S/python//}
-CONFIGURE_ARGS+=	--enable-python-install
-PLIST_SUB+=		PYTHON=""
-.include "${PORTSDIR}/Mk/bsd.python.mk"
+BROKEN=		cmake build doesn\'t support installing python tools
+USE_PYTHON=	yes
+CONFIGURE_ENV+=	PYTHON_PREFIX=${PREFIX} \
+		PYTHON_VERSION=${PYTHON_VERSION:S/python//}
+CONFIGURE_ARGS+=--enable-python-install
+PLIST_SUB+=	PYTHON=""
 .endif
 
-.if defined(WITHOUT_RAWSOCKETS)
-CONFIGURE_ARGS+=	--disable-raw-sockets
-.else
-CONFIGURE_ARGS+=	--enable-raw-sockets
+.if !defined(WITHOUT_RAWSOCKETS)
+CFLAGS+=	-DNETWORK_USE_RAW_SOCKETS
 .endif
 
 .if defined(WITHOUT_SERVER)
-CONFIGURE_ARGS+=	--disable-server
-PLIST_SUB+=		SERVER="@comment "
+CMAKE_ARGS+=	-DENABLE_SERVER=off
+PLIST_SUB+=	SERVER="@comment "
 .else
-CONFIGURE_ARGS+=	--enable-server
-MAN6+=			wesnothd.6
-PLIST_SUB+=		SERVER=""
+CMAKE_ARGS+=	-DENABLE_SERVER=on
+MAN6+=		wesnothd.6
+PLIST_SUB+=	SERVER=""
 .endif
 
 .if defined(WITHOUT_TESTS)
-CONFIGURE_ARGS+=	--disable-tests
-PLIST_SUB+=		TESTS="@comment "
-.else
-CONFIGURE_ARGS+=	--enable-tests
-PLIST_SUB+=		TESTS=""
-.endif
-
-.if defined(WITHOUT_TINYGUI)
-CONFIGURE_ARGS+=	--disable-tinygui
+CMAKE_ARGS+=	-DENABLE_TESTS=off
+PLIST_SUB+=	TESTS="@comment "
 .else
-BUILD_DEPENDS+=		convert:${PORTSDIR}/graphics/ImageMagick
-CONFIGURE_ARGS+=	--enable-tinygui
+CMAKE_ARGS+=	-DENABLE_TESTS=on
+PLIST_SUB+=	TESTS=""
 .endif
 
 .if defined(WITHOUT_TOOLS)
-CONFIGURE_ARGS+=	--disable-tools
-PLIST_SUB+=		TOOLS="@comment "
+CMAKE_ARGS+=	-DENABLE_TOOLS=off
+PLIST_SUB+=	TOOLS="@comment "
 .else
-CONFIGURE_ARGS+=	--enable-tools
-PLIST_SUB+=		TOOLS=""
+CMAKE_ARGS+=	-DENABLE_TOOLS=on
+PLIST_SUB+=	TOOLS=""
 .endif
 
 .if defined(NOPORTDOCS)
-CONFIGURE_ARGS+=	--without-docs
+CMAKE_ARGS+=	-DDOCDIR=none
 .endif
 
 .if defined(NOPORTDATA)
 IGNORE=		game data is required, undefine NOPORTDATA
 .endif
 
-post-patch:	.SILENT
-	${REINPLACE_CMD} -e 's|png_voidp_NULL|NULL|g' \
-		-e 's|png_error_ptr_NULL|NULL|g' \
-		${WRKSRC}/src/tools/exploder_utils.cpp
+post-extract:	.SILENT
+	${INSTALL_DATA} $$(${MAKE} -V WRKSRC \
+		-C ${PORTSDIR}/x11-fonts/junicode)/fonts/Junicode-Regular.ttf \
+		${WRKSRC}/fonts
 
 post-install:
 	-update-desktop-database ${PREFIX}/share/applications
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: games/wesnoth/distinfo
===================================================================
RCS file: /a/.csup/ports/games/wesnoth/distinfo,v
retrieving revision 1.54
diff -u -p -r1.54 distinfo
--- games/wesnoth/distinfo	14 May 2011 14:05:27 -0000	1.54
+++ games/wesnoth/distinfo	8 Apr 2012 23:36:19 -0000
@@ -1,2 +1,2 @@
-SHA256 (wesnoth-1.8.6.tar.bz2) = 4fe603fa984ac76a384dc94ba28bd99fe2d1adf02ddf1706f2fa1b82b40f8081
-SIZE (wesnoth-1.8.6.tar.bz2) = 302226547
+SHA256 (wesnoth-1.10.2.tar.bz2) = 3d0afe262c04e2ce7ae07eb343350c6f10d0ef34fe68205b6b13605d10fe5c41
+SIZE (wesnoth-1.10.2.tar.bz2) = 342094674
Index: games/wesnoth/pkg-plist
===================================================================
RCS file: /a/.csup/ports/games/wesnoth/pkg-plist,v
retrieving revision 1.58
diff -u -p -r1.58 pkg-plist
--- games/wesnoth/pkg-plist	26 Aug 2010 11:25:34 -0000	1.58
+++ games/wesnoth/pkg-plist	11 Mar 2012 23:02:36 -0000
@@ -1,13 +1,15 @@
 %%CAMPAIGN%%bin/campaignd
 %%TOOLS%%bin/cutter
 %%TOOLS%%bin/exploder
+%%TOOLS%%bin/schema_generator
+%%TOOLS%%bin/schema_validator
 bin/wesnoth
-%%TOOLS%%bin/wesnoth_addon_manager
+%%PYTHON%%%%TOOLS%%bin/wesnoth_addon_manager
 %%TESTS%%bin/wesnoth_test
 %%SERVER%%bin/wesnothd
-%%TOOLS%%bin/wmlindent
-%%TOOLS%%bin/wmllint
-%%TOOLS%%bin/wmlscope
+%%PYTHON%%%%TOOLS%%bin/wmlindent
+%%PYTHON%%%%TOOLS%%bin/wmllint
+%%PYTHON%%%%TOOLS%%bin/wmlscope
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/__init__.py
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/__init__.pyc
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/__init__.pyo
@@ -33,13 +35,15 @@ bin/wesnoth
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/wmltools.pyc
 %%PYTHON%%%%PYTHON_SITELIBDIR%%/wesnoth/wmltools.pyo
 share/applications/wesnoth.desktop
-%%EDITOR%%share/applications/wesnoth_editor.desktop
+share/applications/wesnoth_editor.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/af/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/af/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-lib.mo
@@ -57,12 +61,64 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-units.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/af/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ang/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ang@latin/LC_MESSAGES/wesnoth.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/wesnoth-lib.mo
@@ -84,8 +140,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/wesnoth-lib.mo
@@ -107,8 +165,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/wesnoth-lib.mo
@@ -130,8 +190,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ca_ES@valencia/LC_MESSAGES/wesnoth-lib.mo
@@ -153,8 +215,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/cs/LC_MESSAGES/wesnoth-lib.mo
@@ -176,8 +240,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/da/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/da/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/da/LC_MESSAGES/wesnoth-lib.mo
@@ -199,8 +265,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/de/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/de/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/de/LC_MESSAGES/wesnoth-lib.mo
@@ -222,8 +290,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/el/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/el/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/el/LC_MESSAGES/wesnoth-lib.mo
@@ -245,8 +315,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/en@shaw/LC_MESSAGES/wesnoth-lib.mo
@@ -268,8 +340,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/en_GB/LC_MESSAGES/wesnoth-lib.mo
@@ -291,8 +365,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/eo/LC_MESSAGES/wesnoth-lib.mo
@@ -314,8 +390,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/es/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/es/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/es/LC_MESSAGES/wesnoth-lib.mo
@@ -337,8 +415,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/et/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/et/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/et/LC_MESSAGES/wesnoth-lib.mo
@@ -360,8 +440,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/eu/LC_MESSAGES/wesnoth-lib.mo
@@ -383,8 +465,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/fi/LC_MESSAGES/wesnoth-lib.mo
@@ -406,8 +490,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/fr/LC_MESSAGES/wesnoth-lib.mo
@@ -429,8 +515,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-lib.mo
@@ -448,12 +536,39 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-units.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/fur_IT/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/wesnoth.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/gl/LC_MESSAGES/wesnoth-lib.mo
@@ -475,8 +590,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/he/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/he/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/he/LC_MESSAGES/wesnoth-lib.mo
@@ -498,8 +615,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/hr/LC_MESSAGES/wesnoth-lib.mo
@@ -521,8 +640,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/hu/LC_MESSAGES/wesnoth-lib.mo
@@ -544,8 +665,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/id/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/id/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/id/LC_MESSAGES/wesnoth-lib.mo
@@ -567,8 +690,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/is/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/is/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/is/LC_MESSAGES/wesnoth-lib.mo
@@ -590,8 +715,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/it/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/it/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/it/LC_MESSAGES/wesnoth-lib.mo
@@ -613,8 +740,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/wesnoth-lib.mo
@@ -636,8 +765,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/wesnoth-lib.mo
@@ -659,8 +790,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/la/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/la/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/la/LC_MESSAGES/wesnoth-lib.mo
@@ -682,8 +815,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/lt/LC_MESSAGES/wesnoth-lib.mo
@@ -705,8 +840,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/lv/LC_MESSAGES/wesnoth-lib.mo
@@ -728,8 +865,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/mk/LC_MESSAGES/wesnoth-lib.mo
@@ -751,8 +890,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/mr/LC_MESSAGES/wesnoth-lib.mo
@@ -774,8 +915,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/nb_NO/LC_MESSAGES/wesnoth-lib.mo
@@ -797,8 +940,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/wesnoth-lib.mo
@@ -820,8 +965,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/pl/LC_MESSAGES/wesnoth-lib.mo
@@ -843,8 +990,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/pt/LC_MESSAGES/wesnoth-lib.mo
@@ -866,8 +1015,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/pt_BR/LC_MESSAGES/wesnoth-lib.mo
@@ -889,8 +1040,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/racv/LC_MESSAGES/wesnoth-lib.mo
@@ -912,8 +1065,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ro/LC_MESSAGES/wesnoth-lib.mo
@@ -935,8 +1090,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/wesnoth-lib.mo
@@ -958,8 +1115,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sk/LC_MESSAGES/wesnoth-lib.mo
@@ -981,8 +1140,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/wesnoth-lib.mo
@@ -1004,8 +1165,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/wesnoth-lib.mo
@@ -1027,8 +1190,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sr@ijekavian/LC_MESSAGES/wesnoth-lib.mo
@@ -1050,8 +1215,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sr@ijekavianlatin/LC_MESSAGES/wesnoth-lib.mo
@@ -1073,8 +1240,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sr@latin/LC_MESSAGES/wesnoth-lib.mo
@@ -1096,8 +1265,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/wesnoth-lib.mo
@@ -1119,8 +1290,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/tl/LC_MESSAGES/wesnoth-lib.mo
@@ -1142,8 +1315,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-lib.mo
@@ -1161,12 +1336,39 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-units.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/tr/LC_MESSAGES/wesnoth.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-anl.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-aoi.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-did.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-dw.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-editor.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-help.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-httt.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-l.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-lib.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-low.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-multiplayer.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-nr.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-sof.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-sotbe.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-tb.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-test.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-thot.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-trow.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-tsg.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-tutorial.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-units.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth-utbs.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/wesnoth.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-anl.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/vi/LC_MESSAGES/wesnoth-lib.mo
@@ -1188,8 +1390,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/wesnoth-lib.mo
@@ -1211,8 +1415,10 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-aoi.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-did.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-dm.mo
+%%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-dw.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-editor.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-ei.mo
+%%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-help.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-httt.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-l.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-lib.mo
@@ -1231,10 +1437,14 @@ share/applications/wesnoth.desktop
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth-utbs.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/wesnoth.mo
 share/pixmaps/wesnoth-icon.png
-%%EDITOR%%share/pixmaps/wesnoth_editor-icon.png
+share/pixmaps/wesnoth_editor-icon.png
 %%PYTHON%%@dirrm %%PYTHON_SITELIBDIR%%/wesnoth
 @dirrmtry man/af/man6
 @dirrmtry man/af
+@dirrmtry man/ang/man6
+@dirrmtry man/ang
+@dirrmtry man/ang@latin/man6
+@dirrmtry man/ang@latin
 @dirrmtry man/ar/man6
 @dirrmtry man/ar
 @dirrmtry man/bg/man6
@@ -1269,6 +1479,8 @@ share/pixmaps/wesnoth-icon.png
 @dirrmtry man/fr
 @dirrmtry man/fur_IT/man6
 @dirrmtry man/fur_IT
+@dirrmtry man/ga/man6
+@dirrmtry man/ga
 @dirrmtry man/gl/man6
 @dirrmtry man/gl
 @dirrmtry man/he/man6
@@ -1329,6 +1541,8 @@ share/pixmaps/wesnoth-icon.png
 @dirrmtry man/tl
 @dirrmtry man/tr/man6
 @dirrmtry man/tr
+@dirrmtry man/uk/man6
+@dirrmtry man/uk
 @dirrmtry man/vi/man6
 @dirrmtry man/vi
 @dirrmtry man/zh_CN/man6
@@ -1336,6 +1550,10 @@ share/pixmaps/wesnoth-icon.png
 @dirrmtry man/zh_TW/man6
 @dirrmtry man/zh_TW
 @dirrmtry share/applications
+%%NLS%%@dirrmtry share/locale/ang/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ang
+%%NLS%%@dirrmtry share/locale/ang@latin/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/ang@latin
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia/LC_MESSAGES
 %%NLS%%@dirrmtry share/locale/ca_ES@valencia
 %%NLS%%@dirrmtry share/locale/en@shaw/LC_MESSAGES
Index: games/wesnoth/files/patch-CMakeLists.txt
===================================================================
RCS file: games/wesnoth/files/patch-CMakeLists.txt
diff -N games/wesnoth/files/patch-CMakeLists.txt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-CMakeLists.txt	21 Feb 2012 15:07:44 -0000
@@ -0,0 +1,74 @@
+--- CMakeLists.txt~
++++ CMakeLists.txt
+@@ -21,11 +21,10 @@ set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR
+ find_package(SDL 1.2.7 REQUIRED)
+ find_package(Boost 1.35 REQUIRED COMPONENTS iostreams regex)
+ 
+-# no, gettext executables are not required when NLS is deactivated
++if(ENABLE_NLS)
+ find_package(Gettext)
+-# yes, libintl is *required* even when NLS is deactivated (this is to compile
+-# src/gettext.cpp since it includes libintl.h)
+ find_package(Libintl REQUIRED)
++endif(ENABLE_NLS)
+ 
+ find_package(X11)
+ 
+@@ -68,7 +67,7 @@ option(ENABLE_GAME "Enable compilation o
+ option(ENABLE_GAME "Enable compilation of the game" ON)
+ option(ENABLE_CAMPAIGN_SERVER "Enable compilation of campaign server")
+ option(ENABLE_SERVER "Enable compilation of server" ON)
+-option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers")
++option(ENABLE_TOOLS "Enable building and installation of tools for artists and WML maintainers" OFF)
+ option(ENABLE_TESTS "Build unit tests")
+ option(ENABLE_NLS "Enable building of translations" ON)
+ option(ENABLE_POOL_ALLOC "Enable custom pool malloc" OFF)
+@@ -114,18 +113,18 @@ if(CMAKE_COMPILER_IS_GNUCXX)
+ 		endif(ENABLE_STRICT_COMPILATION)
+ 
+ 		# Strict compilation for C files is disabled until somebody wants to clean them.
+-		set(CMAKE_C_FLAGS "-O2 -W -Wall -ansi $ENV{CFLAGS}"
++		set(CMAKE_C_FLAGS "-W -Wall -ansi $ENV{CFLAGS}"
+ 				CACHE STRING "Flags used by the C compiler during normal builds." FORCE)
+-		set(CMAKE_C_FLAGS_DEBUG "-O0 -DDEBUG -ggdb3 -W -Wall -ansi $ENV{CFLAGS}"
++		set(CMAKE_C_FLAGS_DEBUG "-DDEBUG -W -Wall -ansi $ENV{CFLAGS}"
+ 				CACHE STRING "Flags used by the C compiler during debug builds." FORCE)
+-		set(CMAKE_C_FLAGS_RELEASE "-O3 -DNDEBUG -W -Wall -ansi $ENV{CFLAGS} -Wno-unused"
++		set(CMAKE_C_FLAGS_RELEASE "-DNDEBUG -W -Wall -ansi $ENV{CFLAGS} -Wno-unused"
+ 				CACHE STRING "Flags used by the C compiler during release builds." FORCE)
+ 
+-		set(CMAKE_CXX_FLAGS "-O2 -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS}"
++		set(CMAKE_CXX_FLAGS "-W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS}"
+ 				CACHE STRING "Flags used by the CXX compiler during normal builds." FORCE)
+-		set(CMAKE_CXX_FLAGS_DEBUG "-O0 -DDEBUG -ggdb3 -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS}"
++		set(CMAKE_CXX_FLAGS_DEBUG "-DDEBUG -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS}"
+ 				CACHE STRING "Flags used by the CXX compiler during debug builds." FORCE)
+-		set(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS} -Wno-unused"
++		set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -W -Wall -std=c++98 ${STRICT_FLAGS} $ENV{CXXFLAGS} -Wno-unused"
+ 				CACHE STRING "Flags used by the CXX compiler during release builds." FORCE)
+ 
+ 	endif(NOT CONFIGURED)
+@@ -154,6 +153,7 @@ add_definitions(-DLOCALEDIR=\\\"${LOCALE
+ if(LOCALEDIR MATCHES "^/")
+ 	add_definitions(-DHAS_RELATIVE_LOCALEDIR=0)
+ 	set(LOCALE_INSTALL ${LOCALEDIR})
++	set(LOCALEDIR "translations")
+ else(LOCALEDIR MATCHES "^/")
+ 	add_definitions(-DHAS_RELATIVE_LOCALEDIR=1)
+ 	set(LOCALE_INSTALL ${DATADIR}/${LOCALEDIR})
+@@ -213,10 +213,14 @@ if(ENABLE_TESTS)
+ 	find_package( Boost 1.35 REQUIRED COMPONENTS unit_test_framework )
+ endif(ENABLE_TESTS)
+ if(ENABLE_GAME)
+-	find_package( FriBiDi )
++	pkg_check_modules( FRIBIDI fribidi>=0.19.0 )
+ 	if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
+ 		add_definitions(-DHAVE_FRIBIDI)
+ 	elseif(ENABLE_FRIBIDI AND NOT FRIBIDI_LIBRARIES)
++		pkg_check_modules( FRIBIDI fribidi )
++		if(FRIBIDI_LIBRARIES)
++			add_definitions(-DOLD_FRIBIDI)
++		endif(FRIBIDI_LIBRARIES)
+ 		message("Could not find FriBiDi. Disabling FriBiDi support.")
+ 	endif()
+ 
Index: games/wesnoth/files/patch-Makefile.am
===================================================================
RCS file: games/wesnoth/files/patch-Makefile.am
diff -N games/wesnoth/files/patch-Makefile.am
--- games/wesnoth/files/patch-Makefile.am	27 Sep 2010 09:13:10 -0000	1.3
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,18 +0,0 @@
---- Makefile.am~
-+++ Makefile.am
-@@ -73,6 +73,7 @@ if INSTALLDATA
- 	  echo $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
- 	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
- 	done
-+if INSTALLDOCS
- 	@echo "Replicate doc directory skeleton under target doc subdirectory"
- 	@echo "Then copy all corresponding files."
- 	test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
-@@ -84,6 +85,7 @@ if INSTALLDATA
- 	  echo $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
- 	  $(INSTALL_DATA) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; cd ..; \
- 	done
-+endif
- if TINYGUI
- 	@echo "Shrink installed images by a factor of two."
- 	(cd $(top_srcdir) && find data/core/images data/campaigns images  \( $(findfilterflags) -a -name '*.png' -and -not -name 'bar-energy-tinygui.png' -print \) ) | while read p; do \
Index: games/wesnoth/files/patch-configure.ac
===================================================================
RCS file: games/wesnoth/files/patch-configure.ac
diff -N games/wesnoth/files/patch-configure.ac
--- games/wesnoth/files/patch-configure.ac	27 Sep 2010 09:13:10 -0000	1.4
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,14 +0,0 @@
---- configure.ac~
-+++ configure.ac
-@@ -213,6 +213,11 @@ esac
- AC_SUBST([FULLLOCALEDIR])
- AC_SUBST([HAS_RELATIVE_LOCALEDIR])
- 
-+AC_ARG_WITH([docs],
-+	         AS_HELP_STRING([--without-docs], [don't install wesnoth manual]),
-+	      [docs=$withval],
-+	      [docs=yes])
-+AM_CONDITIONAL([INSTALLDOCS], [test x$docs = xyes])
- 
- AC_ARG_ENABLE([game],
-               AS_HELP_STRING([--disable-game], [disable compilation of game]),
Index: games/wesnoth/files/patch-doc-CMakeLists.txt
===================================================================
RCS file: games/wesnoth/files/patch-doc-CMakeLists.txt
diff -N games/wesnoth/files/patch-doc-CMakeLists.txt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-doc-CMakeLists.txt	21 Feb 2012 15:07:44 -0000
@@ -0,0 +1,7 @@
+--- doc/CMakeLists.txt~
++++ doc/CMakeLists.txt
+@@ -1,2 +1,4 @@
+ add_subdirectory(man)
++if(NOT DOCDIR STREQUAL "none")
+ add_subdirectory(manual)
++endif(NOT DOCDIR STREQUAL "none")
Index: games/wesnoth/files/patch-m4-boost.m4
===================================================================
RCS file: games/wesnoth/files/patch-m4-boost.m4
diff -N games/wesnoth/files/patch-m4-boost.m4
--- games/wesnoth/files/patch-m4-boost.m4	26 Aug 2010 11:28:04 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- m4/boost.m4~	2010-05-27 11:37:13.000000000 +0400
-+++ m4/boost.m4	2010-08-23 07:12:17.014432212 +0400
-@@ -729,7 +729,7 @@ AC_CACHE_CHECK([for the flags needed to 
-   esac
-   # Generate the test file.
-   AC_LANG_CONFTEST([AC_LANG_PROGRAM([#include <pthread.h>],
--    [pthread_t th; pthread_join(th, 0);
-+    [pthread_t th=NULL; pthread_join(th, 0);
-     pthread_attr_init(0); pthread_cleanup_push(0, 0);
-     pthread_create(0,0,0,0); pthread_cleanup_pop(0);])])
-   for boost_pthread_flag in '' $boost_pthread_flags; do
Index: games/wesnoth/files/patch-m4-zlib.m4
===================================================================
RCS file: games/wesnoth/files/patch-m4-zlib.m4
diff -N games/wesnoth/files/patch-m4-zlib.m4
--- games/wesnoth/files/patch-m4-zlib.m4	20 Jul 2010 10:57:07 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,15 +0,0 @@
---- m4/zlib.m4~
-+++ m4/zlib.m4
-@@ -16,11 +16,9 @@ fi
- AC_MSG_CHECKING([for zlib location])
- if test x"$zlib_prefix" = x ; then
-   zlib_header_found="no"
--  for dir in /usr/local /usr ; do
-+  for dir in /usr ; do
-   if test -f "$dir/include/zlib.h" ; then
-     zlib_header_found="yes"
--    ZLIB_CFLAGS="-I$dir/include"
--    ZLIB_LDFLAGS="-L$dir/lib"
-     break
-   fi
-   done
Index: games/wesnoth/files/patch-po-CMakeLists.txt
===================================================================
RCS file: games/wesnoth/files/patch-po-CMakeLists.txt
diff -N games/wesnoth/files/patch-po-CMakeLists.txt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-po-CMakeLists.txt	21 Feb 2012 15:07:44 -0000
@@ -0,0 +1,24 @@
+--- po/CMakeLists.txt~
++++ po/CMakeLists.txt
+@@ -273,9 +273,6 @@ if(ENABLE_NLS)
+ 				COMMENT "mo-update [${DOMAIN}-${LINGUA}]: Creating mo file."
+ 			)
+ 
+-			install(FILES ${CMAKE_SOURCE_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
+-					DESTINATION ${LOCALE_INSTALL}/${LINGUA}/LC_MESSAGES)
+-
+ 			set(mo-update-SRC ${mo-update-SRC} 
+ 				${CMAKE_SOURCE_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
+ 			)
+@@ -285,6 +282,11 @@ if(ENABLE_NLS)
+ 
+ 		endforeach(DOMAIN ${DOMAINS})
+ 
++		foreach(DOMAIN ${NORMAL_DOMAINS})
++			install(FILES ${CMAKE_SOURCE_DIR}/${LOCALEDIR}/${LINGUA}/LC_MESSAGES/${DOMAIN}.mo
++					DESTINATION ${LOCALE_INSTALL}/${LINGUA}/LC_MESSAGES)
++		endforeach(DOMAIN ${NORMAL_DOMAINS})
++
+ 		if(ENABLE_POT_UPDATE_TARGET)
+ 			add_custom_target(mo-update-${LINGUA}
+ 				COMMENT "mo-update ${LINGUA}: Done."
Index: games/wesnoth/files/patch-src-CMakeLists.txt
===================================================================
RCS file: games/wesnoth/files/patch-src-CMakeLists.txt
diff -N games/wesnoth/files/patch-src-CMakeLists.txt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-src-CMakeLists.txt	21 Feb 2012 15:07:44 -0000
@@ -0,0 +1,22 @@
+--- src/CMakeLists.txt~
++++ src/CMakeLists.txt
+@@ -123,7 +123,7 @@ set(tools-external-libs
+ )
+ 
+ if(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
+-	include_directories( ${FRIBIDI_INCLUDE_DIR} )
++	include_directories( ${FRIBIDI_INCLUDE_DIRS} )
+ 	set(game-external-libs ${game-external-libs} ${FRIBIDI_LIBRARIES})
+ endif(ENABLE_FRIBIDI AND FRIBIDI_LIBRARIES)
+ 
+@@ -826,7 +833,9 @@ if(ENABLE_TESTS)
+ 		boost_unit_test_framework
+ 	)
+ 	set_target_properties(test
+-		PROPERTIES OUTPUT_NAME ${BINARY_PREFIX}test${BINARY_SUFFIX}
++		PROPERTIES OUTPUT_NAME ${BINARY_PREFIX}wesnoth_test${BINARY_SUFFIX}
+ 	)
++
++	install(TARGETS test DESTINATION ${BINDIR})
+ endif(ENABLE_TESTS)
+ 
Index: games/wesnoth/files/patch-src-Makefile.am
===================================================================
RCS file: games/wesnoth/files/patch-src-Makefile.am
diff -N games/wesnoth/files/patch-src-Makefile.am
--- games/wesnoth/files/patch-src-Makefile.am	20 Jul 2010 10:57:07 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,31 +0,0 @@
---- src/Makefile.am~
-+++ src/Makefile.am
-@@ -16,7 +16,7 @@ bin_PROGRAMS += campaignd
- endif
- 
- if TESTS
--bin_PROGRAMS += test
-+bin_PROGRAMS += wesnoth_test
- endif
- 
- CLEANFILES = revision.hpp
-@@ -342,7 +342,7 @@ cutter_DEPENDENCIES=libwesnoth-core.a
- #    Unit tests                                                             #
- #############################################################################
- 
--test_SOURCES =  \
-+wesnoth_test_SOURCES =  \
- 	tests/main.cpp \
- 	tests/utils/fake_display.cpp \
- 	tests/utils/fake_event_source.cpp \
-@@ -362,8 +362,8 @@ test_SOURCES =  \
- 	tests/gui/test_save_dialog.cpp \
- 	$(wesnoth_source)
- 
--test_LDADD = $(INTERNALLIBS) $(THELIBS) $(BOOST_UNIT_TEST_FRAMEWORK_LIBS) $(PANGO_LIBS) $(FONTCONFIG_LIBS)
--test_DEPENDENCIES=libwesnoth-core.a libwesnoth.a
-+wesnoth_test_LDADD = $(INTERNALLIBS) $(THELIBS) $(BOOST_UNIT_TEST_FRAMEWORK_LIBS) $(PANGO_LIBS) $(FONTCONFIG_LIBS)
-+wesnoth_test_DEPENDENCIES=libwesnoth-core.a libwesnoth.a
- 
- #############################################################################
- #    Headers                                                                #
Index: games/wesnoth/files/patch-src-ana-src-CMakeLists.txt
===================================================================
RCS file: games/wesnoth/files/patch-src-ana-src-CMakeLists.txt
diff -N games/wesnoth/files/patch-src-ana-src-CMakeLists.txt
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-src-ana-src-CMakeLists.txt	21 Feb 2012 15:07:44 -0000
@@ -0,0 +1,34 @@
+--- src/ana/src/CMakeLists.txt~
++++ src/ana/src/CMakeLists.txt
+@@ -4,7 +4,7 @@ include_directories(../api)
+ 
+ find_package(Boost 1.35 REQUIRED COMPONENTS thread system)
+ 
+-set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -ggdb3")
++set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG}")
+ 
+ set(common_srcs asio_listener.cpp asio_sender.cpp asio_timers.cpp)
+ 
+@@ -20,11 +20,11 @@ target_link_libraries( ana-static ${Boos
+ 
+ set(CMAKE_INSTALL_PREFIX /usr/local)
+ 
+-if(NOT MSVC)
++if(FALSE)
+ 	set(CMAKE_INSTALL_PREFIX /usr/local)
+ 	install(TARGETS ana LIBRARY DESTINATION lib)
+ 	install(TARGETS ana-static ARCHIVE DESTINATION lib)
+-endif(NOT MSVC)
++endif(FALSE)
+ 
+ set(ana_headers
+ 	../api/ana.hpp
+@@ -35,6 +35,6 @@ set(ana_headers
+ 	../api/binary_streams.hpp
+ )
+ 
+-if(NOT MSVC)
++if(FALSE)
+ 	install(FILES ${ana_headers} DESTINATION include/ana)
+-endif(NOT MSVC)
++endif(FALSE)
Index: games/wesnoth/files/patch-src-tests-main.cpp
===================================================================
RCS file: games/wesnoth/files/patch-src-tests-main.cpp
diff -N games/wesnoth/files/patch-src-tests-main.cpp
--- games/wesnoth/files/patch-src-tests-main.cpp	26 Aug 2010 11:28:04 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- src/tests/main.cpp~
-+++ src/tests/main.cpp
-@@ -15,6 +15,7 @@
- #define GETTEXT_DOMAIN "wesnoth-test"
- 
- 
-+#define BOOST_TEST_DYN_LINK
- #define BOOST_TEST_MODULE wesnoth unit tests master suite
- #include <boost/test/unit_test.hpp>
- #include <boost/test/unit_test_monitor.hpp>